Bug 465742 - XDMCP doesn't work when enabled in custom.conf but does when schemas file is modified
XDMCP doesn't work when enabled in custom.conf but does when schemas file is ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-06 04:08 EDT by Robert de Rooy
Modified: 2011-06-27 10:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:00:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
custom.conf as requested (80 bytes, text/plain)
2009-12-16 17:17 EST, Michael Breuer
no flags Details

  None (edit)
Description Robert de Rooy 2008-10-06 04:08:24 EDT
Description of problem:
I made changes to gdm.schemas to auto-login a user. But when the GDM rpm is updated the gdm.schemas file is overwritten

Version-Release number of selected component (if applicable):
gdm-2.24.0-8.fc10.i386

How reproducible:
this has happened for at least the last couple of GDM updates

Steps to Reproduce:
1. modify /etc/gdm/gdm.schemas
2. install new gdm rpm
3.
  
Actual results:
modified gdm.schemas is overwritten, erasing customizations made (no backup file is even created)

Expected results:
the new gdm.schemas should be created as gdm.schemas.rpmnew and the old one should be preserved

Additional info:
Comment 1 Ray Strode [halfline] 2008-10-06 09:47:55 EDT
Hi,

I'm not sure why we're installing the schema into /etc.  It's not really supposed to be edited.

Instead, make your changes to /etc/gdm/custom.conf
Comment 2 Michael Breuer 2009-12-14 12:00:57 EST
I just hit this as well - xdmcp stopped working after a gdm yum update - issue is that xdmcp settings (as well as a whole bunch of other stuff) aren't read from custom.conf. 

So, until such time as gdm upstream actually uses custom.conf, we should preserve user settings in gdm.schemas.
Comment 3 Ray Strode [halfline] 2009-12-15 10:55:21 EST
upstream gdm does use custom.conf.  gdm.schemas is not a config file, and editing it doesn't give you anything that editing custom.conf wouldn't give you.

If you're having xdmcp issues, please file that as a separate bug report.
Comment 4 Michael Breuer 2009-12-15 11:18:58 EST
There are a whole bunch of open tickets regarding gdm that all tie back to custom.conf not being read. 

The most recent open xdmcp ticket: https://bugzilla.redhat.com/show_bug.cgi?id=478795

I suggested to Sergey (bug triager for GDM) that the collection of gdm not reading custom.conf tickets be tied together and a common bug filed.

That said, I request that this report be reopened. GDM does NOT use custom.conf for xdmcp configuration. Apparently, it never has. I confirmed that by looking at the code.

The current situation is that for those of us who've worked around the custom.conf mess, we are getting clobbered whenever there's an update that includes the schemas file.
Comment 5 Ray Strode [halfline] 2009-12-15 16:40:15 EST
Hi,

If you look at the gdm_settings_direct_get_ function here:

http://git.gnome.org/cgit/gdm/tree/common/gdm-settings-direct.c?id=GDM_2_28_0#n96

you'll see that it checks the value from custom.conf (via the get_value() function which ends up ultimately calling gdm_settings_desktop_backend_get_value ()) before falling back to looking up the schema default (via the gdm_settings_entry_get_default_value () function).

Note, the xdmcp code reads those values in gdm_xdmcp_display_factory_start here:

http://git.gnome.org/cgit/gdm/tree/daemon/gdm-xdmcp-display-factory.c?id=GDM_2_28_0#n2910

We never check the schema value without checking the value in custom.conf first.  If that wasn't working for you, it could be the custom.conf file had a syntax error in it or incorrect permissions or something.

Editing the gdm.schemas file is wrong, though.  It's not a config file, it shouldn't be edited.  It's role is to host distribution defaults, so when distribution defaults change we don't overwrite system adminstrators changes.

Can you please

1) confirm that code says and does what i've pointed out
2) close this bug
3) try removing your custom.conf and writing a new one witht configuration you had in gdm.schemas before (make sure you follow the custom.conf syntax which is different than the gdm.schemas syntax)
4) if it still doesn't work, file a new bug and we can investigate together.

Thanks.
Comment 6 Michael Breuer 2009-12-15 17:36:31 EST
The code you referenced  is only called if xdmcp is enabled.

Unless I'm missing something, the only place that xdmcp enabled is ever set is in daemon/main.c via a call to gdm_settings_direct_get_boolean. That call does not check custom.conf (unless I missed something).

I've verified custom.conf (several times). Maybe I missed something. My custom.conf at this point is rather simple:

# GDM configuration storage

[xdmcp]
enable=true
[chooser]

[security]

[debug]


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Ray Strode [halfline] 2009-12-15 17:58:44 EST
gdm_settings_direct_get_boolean does check custom.conf.  See:

http://git.gnome.org/cgit/gdm/tree/common/gdm-settings-direct.c?id=GDM_2_28_0#n146

Note it calls get_value (it's one of the get functions i meantioned in Comment 5).

Enable needs a capital E.

We should probably write out custom.conf with commented out defaults (but that should be an upstream bug report)
Comment 8 Michael Breuer 2009-12-15 18:12:38 EST
Tried upper case "E" - still no go. Only works if I set Enabled to true in gdm.schemas.

Looking at gdm-2.28.1 (from rpm source) I don't see where custom.conf is checked for xdmcp. Haven't pulled git. Where does gdm_settings_direct_get_boolean check custom.conf? I thought I walked it through and I only saw gdm.schemas.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Ray Strode [halfline] 2009-12-16 11:26:00 EST
gdm_settings_direct_get_boolean calls get_value which calls gdm_settings_desktop_backend_get_value which reads from custom.conf
Comment 10 Michael Breuer 2009-12-16 14:22:19 EST
I still don't see where custom.conf is being read on the path of xdmcp configuration. Regardless, if it is, then it's being ignored or superseded by gdm.schemas.

Setting xdmcp enabled in custom.conf doesn't work and hasn't for quite some time.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Ray Strode [halfline] 2009-12-16 16:17:49 EST
alright, retitling the bug report for clarity.

Can you put the exact custom.conf you tried that doesn't work as an attachment?
Comment 12 Michael Breuer 2009-12-16 17:17:30 EST
Created attachment 378862 [details]
custom.conf as requested

Note: there are other tickets about xdmcp & various custom.conf parameters not working. The reporter on this ticket simply wanted local gdm.schema changes preserved.
Comment 13 Bug Zapper 2010-03-15 08:06:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2011-06-02 14:26:53 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Fedora Admin XMLRPC Client 2011-06-21 11:38:46 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 Fedora Admin XMLRPC Client 2011-06-21 11:39:41 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Fedora Admin XMLRPC Client 2011-06-21 11:42:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Fedora Admin XMLRPC Client 2011-06-21 11:44:39 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 19 Fedora Admin XMLRPC Client 2011-06-21 11:54:43 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 20 Fedora Admin XMLRPC Client 2011-06-21 11:57:38 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 21 Fedora Admin XMLRPC Client 2011-06-21 12:00:06 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 22 Fedora Admin XMLRPC Client 2011-06-21 12:01:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 23 Bug Zapper 2011-06-27 10:00:46 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.